
% Program figure2_4
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
clear all, close all
N = 41; % Length of the sequence
n = 0:N-1; % Time index
x = 0.6*sin(2*pi*0.0625*n)+0.3*sin(2*pi*0.2*n); % Original signal
M = 2; % Down-sampling factor
y = x(1:M:N); % Down-sampled signal
L = length(y); % Length of the down-sampled sequence
figure (1)
subplot(2,1,1), stem(0:N-1,x(1:N))
xlabel('Time index n'), ylabel('x[n]')
subplot(2,1,2)
stem(0:L-1,y(1:L))
xlabel('Time index m'), ylabel('y[m]')
