% Figure_2_1
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
% Illustration of the discrete sampling
clear all, close all
n=0:50;
M=3;
x=cos(2*pi*0.02*n); % Original signal
figure (1)
subplot (4,1,1), stem(n,x)
ylabel('x[n]')
sm=zeros(size(n));
sm([1:M:length(x)])=ones(size(1:M:length(x))); % Discrete sampling function
subplot(4,1,2), stem(n,sm)
ylabel('s_M[n]')
ys=x.*sm; % Discrete sampling
subplot(4,1,3), stem(n,ys)
ylabel('y_s[n]')
y=ys(1:M:length(ys)); % Downsampling
m=0:50/M;
subplot(4,1,4), stem(m,y)
xlabel('Time index'),ylabel('y[m]')
axis([0,50/M,-1,1])