% Program figures_2_30_31
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
% Figure_2_31
% Discretr sampling with the phase ofset
clear all, close all
% generating the input signal 'x'
n=0:30;
x=0.05*n;
x(1)=1; x(2)=0.7; x(3)=0.5; x(4)=0.6; x(5)=0.8; x(7)=0.7; x(10)=1.5; x(11)=1.2; x(15)=0.5; x(21)=0.8; x(26)=0.7;
n=0:14;
x=x(1:15);
figure (1)
subplot(4,1,1), stem(n,x), ylabel('x[n]')

M=3;
sm0=zeros(size(n));
sm0(1:M:15)=1;
x0=x.*sm0;
subplot(4,1,2), stem(0:length(x0)-1,x0),ylabel('x_0^(^p^)[n]')

sm1=zeros(size(n));
sm1(2:M:15)=1;
x1=x.*sm1;
subplot(4,1,3), stem(0:length(x1)-1,x1),ylabel('x_1^(^p^)[n]')

sm2=zeros(size(n));
sm2(3:M:15)=1;
x2=x.*sm2;
subplot(4,1,4), stem(0:length(x2)-1,x2),ylabel('x_2^(^p^)[n]')
xlabel('Time index n')
axis([0,14,0,2])

figure (2)

subplot(4,1,1), stem(n,x), ylabel('x[n]')

x0=downsample(x0,M);
subplot(4,1,2), stem(0:length(x0)-1,x0),ylabel('x_0[m]')

x1=downsample(x1,M,1);
subplot(4,1,3), stem(0:length(x1)-1,x1),ylabel('x_1[m]')

x2=downsample(x2,M,2);
subplot(4,1,4), stem(0:length(x2)-1,x2),ylabel('x_2[m]')
axis([0,4,0,2])
xlabel('Time index')